html {
    box-sizing: border-box;
}

*,
*::before,
*::after {
    box-sizing: inherit;
}

html,
body {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
}

body {
    background: #ffffff url('../img/geometry2.png'); /* Background pattern from Subtle Patterns */
    font-family: 'Open Sans', sans-serif;
}

.container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

h1 {
    font-family: 'Open Sans', sans-serif;
    font-weight: bold;
    font-size: 35px;
}

/*
 * Styles for the deck of cards
 */

.deck {
    width: 330px;
    min-height: 330px;
    background: linear-gradient(160deg, #88c70f 0%, #ecf342 100%);
    padding: 15px;
    border-radius: 10px;
    box-shadow: 12px 15px 20px 0 rgba(46, 61, 73, 0.5);
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    margin: 0 0 3em;
}

.deck .card {
    height: 65px;
    width: 65px;
    background: #2e3d49;
    font-size: 0;
    color: #ffffff;
    border-radius: 8px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 5px 2px 20px 0 rgba(46, 61, 73, 0.5);
}

.deck .card.open {
    transform: rotateY(0);
    background: #02b3e4;
    cursor: default;
}

.deck .card.show {
    font-size: 33px;
}

.deck .card.match {
    cursor: default;
    background: #02ccba;
    font-size: 33px;
}

/*
 * Styles for the Score Panel
 */

 .score-panel {
     width: 300px;
     margin-bottom: 40px;
     font-size: 16px;
     display: flex;
     flex-flow: row nowrap;
     justify-content: space-between;
 }

.score-panel .stars {
    margin: 0;
    padding: 0;
    display: inline-block;
    margin: 0 5px 0 0;
}

.score-panel .stars li {
    list-style: none;
    display: inline-block;
    color: orange;
}

.score-panel .restart {
    float: right;
    cursor: pointer;
}

/*
 * Styles for the endDialog
 */

.endDialog {
 text-align: center;
 flex-flow: column nowrap;
 font-size: 19px;
}

.scoredisplay .finalstars {
   margin: 0;
   padding: 0;
   display: inline-flex;
   margin: 0 5px 0 0;
}

.scoredisplay .finalstars li {
   list-style: none;
   color: orange;
}

.finalstars {
  list-style: none;
  color: orange;
}

.replay {
    font-size: 20px;
    text-align: center;
}
.quit {
    font-size: 20px;
    text-align: center;
}

/*
 * Styles for responsiveness
 */

@media screen and (min-width: 700px) {
  .score-panel {
    width: 500px;
    margin-bottom: 40px;
    font-size: 25px;
  }

  .deck {
      width: 650px;
      min-height: 650px;
      padding: 35px;
  }

  .deck .card {
      height: 125px;
      width: 125px;
  }

  .deck .card.match {
    font-size: 70px;
  }
    .deck .card.show {
      font-size: 70px;
    }

  h1 {
    font-size: 45px;
  }

  .endDialog {
    font-size: 25px;
  }
}
